## libdiscid 0.2.2

=== debian/changelog ===
libdiscid (0.2.2-3) unstable; urgency=low

  * QA upload.
  * Build with Multiarch support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Feb 2012 01:51:45 +0100

libdiscid (0.2.2-2) unstable; urgency=low

  * QA upload.
  * Get rid of unneeded *.la files (Closes: #621615).
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Jun 2011 11:29:36 +0200

libdiscid (0.2.2-1) unstable; urgency=low

  * QA upload.
  * New upstream release. (Closes: #504115)
  * debian/control:
    - Use Homepage field instead of using the extended description for that.
    - Use ${source:Version} instead of deprecated ${binary:Version}.
    - Bump Standards-Version to 3.8.3.
    - Drop duplicate binary control field "section".
    - Fix duplicate short description.
  * Refer to versioned LGPL license.
  * Bump debhelper version to 7.
  * debian/rules: Fix order of includes.
  * Update debian/copyright.
  * Use new 3.0 (quilt) source format.
  * Add kfreebsd.patch for fix FTBFS on GNU/kFreeBSD (Closes: #546912).
  * Add hurd.patch to fix the FTBFS on GNU/Hurd (Closes: #558756).
  * Add symbols file to libdiscid0.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 05 Dec 2009 23:12:11 +0100

libdiscid (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #390240)

 -- Lukáš Lalinský <lalinsky@gmail.com>  Sat, 30 Aug 2006 01:31:03 +0200
