=== debian/control ===
Source: libdiscid
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8.1.3~), cdbs (>= 0.4.93~)
Standards-Version: 3.9.2
Homepage: http://musicbrainz.org/doc/libdiscid

Package: libdiscid0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for creating MusicBrainz DiscIDs
 libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
 It reads a CD's table of contents (TOC) and generates an identifier which
 can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
 Additionally, it provides a submission URL for adding the DiscID to the
 database.

Package: libdiscid0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libdiscid0 (= ${binary:Version})
Description: Library for creating MusicBrainz DiscIDs (development files)
 libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
 It reads a CD's table of contents (TOC) and generates an identifier which
 can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
 Additionally, it provides a submission URL for adding the DiscID to the
 database.
 .
 This is the development package which contains headers and libraries for
 libdiscid.
