## libdiscid 0.5.1

=== debian/changelog ===
libdiscid (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Enable verbose build output.
  * debian/copyright: Document src/ntddcdrm.h.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Jun 2013 18:23:28 +0200

libdiscid (0.5.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 May 2013 22:31:50 +0200

libdiscid (0.5.0-1) experimental; urgency=low

  * New upstream release.
  * debian/libdiscid0.symbols:
    - Add new symbol discid_read_sparse.
    - Remove private symbols.
      These symbols are only used internally and are not used by any reverse
      dependency. They were exported unintentionally and were never listed in
      the header. Upstream now hides them properly.
    - Add Build-Depends-Package.
  * debian/rules: Enable parallel builds.
  * debian/copyright: Update Lukáš Lalinský's copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 12 Apr 2013 18:22:09 +0200

libdiscid (0.4.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/hurd.patch: Not needed anymore, superseded by upstream's
    generic platform support.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Mar 2013 19:10:48 +0100

libdiscid (0.4.0-1) experimental; urgency=low

  * New upstream release. (Closes: #702570)
  * debian/rules: Run docs target instead of running doxygen manually.
  * debian/libdiscid0.symbols: Add new symbols.
  * debian/patches/hurd.patch: Refresh.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Mar 2013 15:27:57 +0100

libdiscid (0.3.2-1) experimental; urgency=low

  * New upstream release. (Closes: #700366)
  * debian/copyright: Add Johannes Dewender.
  * debian/patches/hurd.path: Refresh.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Feb 2013 11:06:24 +0100

libdiscid (0.3.0-2) experimental; urgency=low

  * debian/control:
    - Add Vcs* fields.
    - Add libdiscid0-dbg package.
    - Add libdiscid-doc package.
    - Add doxygen to Build-Depends to build the documentation.
  * debian/rules:
    - Build the -dbg package.
    - Run doxygen and build the -doc package.
  * Install examples in the -doc package.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 07 Feb 2013 15:43:04 +0100

libdiscid (0.3.0-1) experimental; urgency=low

  * New maintainer. (Closes: #555893)
  * New upstream release.
  * debian/rules:
    - Rewrite to use dh(1).
    - Use dh-autoreconf to update configure.
  * debian/control:
    - Remove cdbs from Build-Depends.
    - Remove ${shlibs:Depends} from libdiscid-dev's Depends.
    - Bump Standards-Version to 3.9.4, no changes required.
  * debian/patches:
    - autoreconf.patch: Removed, not needed anymore.
    - kfreebsd.patch: Removed, merged upstream.
    - hurd.patch: Refreshed.
  * debian/libdiscid0.symbols: Add new symbols.
  * debian/copyright:
    - Convert to Copyright Format 1.0.
    - Update copyright holders.
    - Add myself.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 07 Feb 2013 01:00:41 +0100
