=== debian/control ===
Source: libdiscid
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf
Build-Depends-Indep:
 doxygen
Standards-Version: 3.9.4
Homepage: http://musicbrainz.org/doc/libdiscid
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libdiscid.git -b master
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libdiscid.git

Package: libdiscid0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 libdiscid0-dbg (= ${binary:Version})
Description: library for creating MusicBrainz DiscIDs
 libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
 It reads a CD's table of contents (TOC) and generates an identifier which
 can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
 Additionally, it provides a submission URL for adding the DiscID to the
 database.

Package: libdiscid0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libdiscid0 (= ${binary:Version})
Suggests:
 libdiscid-doc (= ${source:Version})
Description: library for creating MusicBrainz DiscIDs (development files)
 libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
 It reads a CD's table of contents (TOC) and generates an identifier which
 can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
 Additionally, it provides a submission URL for adding the DiscID to the
 database.
 .
 This is the development package which contains headers and libraries for
 libdiscid.

Package: libdiscid0-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libdiscid0 (= ${binary:Version})
Description: library for creating MusicBrainz DiscIDs (debugging symbols)
 libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
 It reads a CD's table of contents (TOC) and generates an identifier which
 can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
 Additionally, it provides a submission URL for adding the DiscID to the
 database.
 .
 This package provides the debugging symbols for the shared library.

Package: libdiscid-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libjs-jquery
Description: library for creating MusicBrainz DiscIDs (documentation)
 libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
 It reads a CD's table of contents (TOC) and generates an identifier which
 can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
 Additionally, it provides a submission URL for adding the DiscID to the
 database.
 .
 This package constains the documentation for libdiscid.
