=== debian/rules ===
#!/usr/bin/make -f

# enable verbose build output
export V=1

%:
	dh $@ --parallel --with autoreconf

# build documentation if doxygen is available and remove the copy of jquery and
# replace it with the one from libjs-jquery
override_dh_auto_build-indep:
ifneq "$(wildcard /usr/bin/doxygen)" ""
	$(MAKE) docs
	rm -f docs/installdox
	rm docs/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js docs/jquery.js
endif

# no tests and install for indep
override_dh_auto_test-indep override_dh_auto_install-indep:

override_dh_strip:
	dh_strip -plibdiscid0 --dbg-package=libdiscid0-dbg
