## libdiscid 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # MINOR is increased when features are added to the API
 # PATCH is increase for all other releases
 SET(libdiscid_MAJOR 0)
-SET(libdiscid_MINOR 5)
+SET(libdiscid_MINOR 6)
 SET(libdiscid_PATCH 1)
 
 
@@ -76,7 +76,6 @@
     SET(libdiscid_OSDEP_SRCS src/toc.c src/disc_win32.c)
     SET(libdiscid_RCS ${CMAKE_CURRENT_BINARY_DIR}/versioninfo.rc)
 ELSEIF(libdiscid_OS MATCHES "darwin")
-    # TODO: TOC reading code for Darwin/OS X
     SET(libdiscid_OSDEP_SRCS src/toc.c src/unix.c src/disc_darwin.c)
     FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
     SET(libdiscid_OSDEP_LIBS ${COREFOUNDATION_LIBRARY} IOKit)
@@ -90,6 +89,13 @@
 STRING(REPLACE ";" " " libdiscid_OSDEP_STR "${libdiscid_OSDEP_SRCS}")
 MESSAGE(STATUS "Using discid implementation ${libdiscid_OSDEP_STR}")
 
+# This is only a dependency for a libmusicbrainz example
+SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+FIND_PACKAGE(Musicbrainz5 QUIET)
+IF(NOT MUSICBRAINZ5_FOUND)
+    SET(MUSICBRAINZ5_INCLUDE_DIRS "")
+ENDIF()
+
 ADD_LIBRARY(libdiscid SHARED ${libdiscid_OSDEP_SRCS} ${libdiscid_RCS} src/base64.c src/disc.c src/sha1.c)
 TARGET_LINK_LIBRARIES(libdiscid ${libdiscid_OSDEP_LIBS})
 SET_TARGET_PROPERTIES(libdiscid PROPERTIES
@@ -98,16 +104,26 @@
     SOVERSION ${libdiscid_SOVERSION}
 )
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/include
-        ${CMAKE_CURRENT_BINARY_DIR}/include)
+	${CMAKE_CURRENT_BINARY_DIR}/include ${MUSICBRAINZ5_INCLUDE_DIRS})
 
 ADD_EXECUTABLE(discid examples/discid.c)
 TARGET_LINK_LIBRARIES(discid libdiscid)
-
 ADD_EXECUTABLE(discisrc examples/discisrc.c)
 TARGET_LINK_LIBRARIES(discisrc libdiscid)
-
-ADD_EXECUTABLE(test_discid test/test_discid.c)
-TARGET_LINK_LIBRARIES(test_discid libdiscid)
+IF(MUSICBRAINZ5_FOUND)
+    ADD_EXECUTABLE(disc_metadata examples/disc_metadata.c)
+    TARGET_LINK_LIBRARIES(disc_metadata libdiscid
+                          ${MUSICBRAINZ5_LIBRARIES} stdc++)
+ENDIF()
+
+ADD_EXECUTABLE(test_core EXCLUDE_FROM_ALL test/test.c test/test_core.c)
+TARGET_LINK_LIBRARIES(test_core libdiscid)
+ADD_EXECUTABLE(test_put EXCLUDE_FROM_ALL test/test.c test/test_put.c)
+TARGET_LINK_LIBRARIES(test_put libdiscid)
+ADD_EXECUTABLE(test_read EXCLUDE_FROM_ALL test/test.c test/test_read.c)
+TARGET_LINK_LIBRARIES(test_read libdiscid)
+ADD_EXECUTABLE(test_read_full EXCLUDE_FROM_ALL test/test.c test/test_read_full.c)
+TARGET_LINK_LIBRARIES(test_read_full libdiscid)
 
 INSTALL(TARGETS libdiscid DESTINATION ${LIB_INSTALL_DIR})
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libdiscid.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
@@ -116,7 +132,38 @@
 
 ADD_CUSTOM_TARGET(docs doxygen)
 
-ADD_CUSTOM_TARGET(check ./test_discid DEPENDS test_discid)
+ADD_CUSTOM_TARGET(check
+	COMMAND echo test_core:
+	COMMAND echo ----------
+	COMMAND ./test_core
+	COMMAND echo && echo
+	COMMAND echo test_put:
+	COMMAND echo ---------
+	COMMAND ./test_put
+	COMMAND echo && echo
+	COMMAND echo test_read:
+	COMMAND echo ----------
+	COMMAND ./test_read || test $$? -eq 77
+	COMMAND echo && echo
+	COMMAND echo test_read_full:
+	COMMAND echo ---------------
+	COMMAND ./test_read_full || test $$? -eq 77
+	DEPENDS test_core test_put test_read test_read_full)
+
+ADD_CUSTOM_TARGET(memcheck
+	COMMAND valgrind --quiet --error-exitcode=1 --leak-check=full
+		./test_core > /dev/null
+	COMMAND valgrind --quiet --error-exitcode=1 --leak-check=full
+		./test_put > /dev/null
+	COMMAND valgrind --quiet --error-exitcode=1 --leak-check=full
+		./test_read > /dev/null || test $$? -eq 77
+	COMMAND valgrind --quiet --error-exitcode=1 --leak-check=full
+		./test_read_full > /dev/null || test $$? -eq 77
+	COMMAND valgrind --quiet --error-exitcode=66 --leak-check=full
+		./discid > /dev/null || test $$? -ne 66
+	COMMAND valgrind --quiet --error-exitcode=66 --leak-check=full
+		./discisrc > /dev/null || test $$? -ne 66
+	DEPENDS test_core test_put test_read test_read_full)
 
 SET(libdiscid_DISTDIR "${PROJECT_NAME}-${PROJECT_VERSION}")
