=== debian/changelog ===
libdiscid (0.6.1-6) unstable; urgency=medium

  * debian/{control,compat,rules}: Bump debhelper compat to 10.
  * debian/control:
    - Bump Standards-Version to 3.9.8.
    - Update Vcs-Git.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Nov 2016 20:44:51 +0100

libdiscid (0.6.1-5) unstable; urgency=medium

  * Move to automatic debug packages.
    - debian/control:
      + Bump debhelper B-D to 9.20151219.
      + Remove libdiscid0-dbg package.
    - debian/rules: Call dh_strip with --ddeb-migration.
  * debian/control: Update Vcs-Git.
  * debian/rules: Update dh_auto_clean override.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Dec 2015 21:04:17 +0100

libdiscid (0.6.1-4) unstable; urgency=medium

  * debian/control:
    - Remove transitional libdiscid0-dev package.
    - Bump Standards-Version to 3.9.6.
    - Remove obsolete Breaks and Replaces from libdiscid-dev.
    - Add graphviz to Build-Depends-Indep.
  * debian/copyright:
    - Update copyright years.
    - Fix path for src/ntddcdrm.h.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 May 2015 14:54:30 +0200

libdiscid (0.6.1-3) unstable; urgency=medium

  * Remove SOVERSION from -dev package.
    - debian/control: Rename libdiscid0-dev to libdiscid-dev and provide
      transitional libdiscid0-dev package.
    - Renamed debian/libdiscid0-dev.install to debian/libdiscid-dev.install.
  * debian/rules: Make the package build twice in a row.
  * debian/control: Bump Standards-Version to 3.9.5.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Jul 2014 18:52:37 +0200

libdiscid (0.6.1-2) unstable; urgency=low

  * debian/patches/generic-dev-null.patch: Don't return an empty string for
    the default device in the generic backend. Fixes build failure on
    hurd-i386.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Oct 2013 01:13:08 +0200

libdiscid (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/libdiscid0.symbols: Add new symbol discid_get_toc_string.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 03 Oct 2013 20:26:53 +0200

libdiscid (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/libdiscid-doc.docs: Ship README and AUTHORS in the -doc package.
  * debian/control: Drop version from Suggests in libdiscid0-dev.
  * debian/rules: Ensure that libdiscid is built with -DNDEBUG

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Aug 2013 23:51:28 +0200
