=== debian/control ===
Source: libdiscid
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 10)
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 3.9.8
Homepage: http://musicbrainz.org/doc/libdiscid
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libdiscid.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libdiscid.git

Package: libdiscid0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for creating MusicBrainz DiscIDs
 libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
 It reads a CD's table of contents (TOC) and generates an identifier which
 can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
 Additionally, it provides a submission URL for adding the DiscID to the
 database.

Package: libdiscid-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libdiscid0 (= ${binary:Version})
Suggests:
 libdiscid-doc
Description: library for creating MusicBrainz DiscIDs (development files)
 libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
 It reads a CD's table of contents (TOC) and generates an identifier which
 can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
 Additionally, it provides a submission URL for adding the DiscID to the
 database.
 .
 This is the development package which contains headers and libraries for
 libdiscid.

Package: libdiscid-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libjs-jquery
Description: library for creating MusicBrainz DiscIDs (documentation)
 libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
 It reads a CD's table of contents (TOC) and generates an identifier which
 can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
 Additionally, it provides a submission URL for adding the DiscID to the
 database.
 .
 This package constains the documentation for libdiscid.
