## libdiscid 0.6.2

=== debian/changelog ===
libdiscid (0.6.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
  * debian/:
    - Use https upstream URLs.
    - Bump debhelper compat level to 11.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 May 2018 15:54:35 +0200

libdiscid (0.6.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Jun 2017 00:59:02 +0200

libdiscid (0.6.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Removed, included upstream.
  * debian/{control,rules,libdiscid-doc.lintian-overrides}: doxygen's
    jquers.js is not the same as jquery.
  * debian/rules: Drop obsolete override.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 30 Jan 2017 20:48:22 +0100
