=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: libdiscid
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 10)
+ debhelper (>= 11)
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.8
-Homepage: http://musicbrainz.org/doc/libdiscid
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libdiscid.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libdiscid.git
+Standards-Version: 4.1.4
+Homepage: https://musicbrainz.org/doc/libdiscid
+Vcs-Git: https://salsa.debian.org/multimedia-team/libdiscid.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libdiscid
 
 Package: libdiscid0
 Architecture: any
@@ -50,8 +50,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- ${misc:Depends},
- libjs-jquery
+ ${misc:Depends}
 Description: library for creating MusicBrainz DiscIDs (documentation)
  libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
  It reads a CD's table of contents (TOC) and generates an identifier which
