=== debian/watch ===
version=3
https://musicbrainz.org/doc/libdiscid .*/libdiscid-(.*)\.tar\.gz
