## libdiscid 0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 set(CMAKE_LEGACY_CYGWIN_WIN32 0)
 
 PROJECT(libdiscid C)
@@ -11,7 +11,7 @@
 # PATCH is increase for all other releases
 SET(libdiscid_MAJOR 0)
 SET(libdiscid_MINOR 6)
-SET(libdiscid_PATCH 1)
+SET(libdiscid_PATCH 4)
 
 
 SET(libdiscid_VERSION ${libdiscid_MAJOR}.${libdiscid_MINOR}.${libdiscid_PATCH})
@@ -29,20 +29,15 @@
 SET(PROJECT_VERSION ${libdiscid_VERSION})
 
 
-SET(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
-SET(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
-SET(BIN_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/bin CACHE PATH "Installation prefix for user executables" FORCE)
-SET(LIB_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE PATH  "Installation prefix for object code libraries" FORCE)
-SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include CACHE PATH "Installation prefix for C header files" FORCE)
+INCLUDE(GNUInstallDirs)
+SET(BIN_INSTALL_DIR ${CMAKE_INSTALL_FULL_BINDIR} CACHE PATH "Installation prefix for user executables" FORCE)
+SET(LIB_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR} CACHE PATH  "Installation prefix for object code libraries" FORCE)
+SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR} CACHE PATH "Installation prefix for C header files" FORCE)
 
 # compatibility with automake
 SET(PACKAGE ${PROJECT_NAME})
 SET(VERSION ${PROJECT_VERSION})
 SET(PACKAGE_STRING "${PACKAGE} ${VERSION}")
-SET(prefix ${CMAKE_INSTALL_PREFIX})
-SET(exec_prefix ${EXEC_INSTALL_PREFIX})
-SET(includedir ${INCLUDE_INSTALL_DIR})
-SET(libdir ${LIB_INSTALL_DIR})
 
 CONFIGURE_FILE(libdiscid.pc.in libdiscid.pc)
 CONFIGURE_FILE(versioninfo.rc.in versioninfo.rc)
@@ -55,13 +50,17 @@
 ELSEIF(CMAKE_SYSTEM_NAME MATCHES "Darwin")
     SET(libdiscid_OS "darwin")
 ELSEIF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
-    SET(libdiscid_OS "freebsd")
+    SET(libdiscid_OS "bsd")
 ELSEIF(CMAKE_SYSTEM_NAME MATCHES "NetBSD")
-    SET(libdiscid_OS "netbsd")
+    SET(libdiscid_OS "bsd")
+    SET(libdiscid_OSDEP_LIBS util) # for getrawpartition
 ELSEIF(CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
-    SET(libdiscid_OS "netbsd")
+    SET(libdiscid_OS "bsd")
+    SET(libdiscid_OSDEP_LIBS util) # for getrawpartition
 ELSEIF(CMAKE_SYSTEM_NAME MATCHES "SunOS")
     SET(libdiscid_OS "solaris")
+ELSEIF(CMAKE_SYSTEM_NAME MATCHES "Haiku")
+    SET(libdiscid_OS "haiku")
 ELSEIF(CMAKE_SYSTEM_NAME MATCHES "Windows")
     SET(libdiscid_OS "win32")
 ELSEIF(CMAKE_SYSTEM_NAME MATCHES "CYGWIN")
@@ -72,18 +71,19 @@
 ENDIF()
 
 # choose platform dependent source files
-IF(libdiscid_OS MATCHES "win32")
+IF(libdiscid_OS STREQUAL "win32")
     SET(libdiscid_OSDEP_SRCS src/toc.c src/disc_win32.c)
     SET(libdiscid_RCS ${CMAKE_CURRENT_BINARY_DIR}/versioninfo.rc)
-ELSEIF(libdiscid_OS MATCHES "darwin")
-    SET(libdiscid_OSDEP_SRCS src/toc.c src/unix.c src/disc_darwin.c)
-    FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
-    SET(libdiscid_OSDEP_LIBS ${COREFOUNDATION_LIBRARY} IOKit)
-ELSEIF(libdiscid_OS MATCHES "generic")
+ELSEIF(libdiscid_OS STREQUAL "generic")
     SET(libdiscid_OSDEP_SRCS src/disc_${libdiscid_OS}.c)
 ELSE()
     # unix platforms are the standard/default case
     SET(libdiscid_OSDEP_SRCS src/toc.c src/unix.c src/disc_${libdiscid_OS}.c)
+    IF(libdiscid_OS STREQUAL "darwin") # Extra libraries needed
+        FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
+        FIND_LIBRARY(IOKIT_LIBRARY IOKit)
+        SET(libdiscid_OSDEP_LIBS ${COREFOUNDATION_LIBRARY} ${IOKIT_LIBRARY})
+    ENDIF()
 ENDIF()
 
 STRING(REPLACE ";" " " libdiscid_OSDEP_STR "${libdiscid_OSDEP_SRCS}")
