=== debian/changelog ===
libdiscid (0.6.4-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:55:20 +0200

libdiscid (0.6.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 10 Jun 2023 13:54:36 +0200

libdiscid (0.6.4-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.1.0-1.

  [ Diederik de Haas ]
  * Add Salsa's default CI pipeline
  * d/control: Bump debhelper compat level to 13
    - Add usr/lib/*/libdiscid.la to d/not-installed
  * d/control: Set `Rules-Requires-Root: no`
  * d/upstream/metadata: Set Bug-Database field

  [ Sebastian Ramacher ]
  * New upstream version 0.6.4
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 02 Apr 2023 22:28:51 +0200
