=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libdiscid
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11)
+ debhelper-compat (= 13)
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Homepage: https://musicbrainz.org/doc/libdiscid
 Vcs-Git: https://salsa.debian.org/multimedia-team/libdiscid.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libdiscid
