=== debian/changelog ===
libdiscid (0.6.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Aug 2025 12:34:52 +0200

libdiscid (0.6.5-1) experimental; urgency=medium

  * New upstream version 0.6.5
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 May 2025 18:46:26 +0200
