=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libdiscid
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13)
@@ -10,7 +9,7 @@
  doxygen,
  graphviz
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://musicbrainz.org/doc/libdiscid
 Vcs-Git: https://salsa.debian.org/multimedia-team/libdiscid.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libdiscid
