=== debian/watch ===
version=4
https://musicbrainz.org/doc/libdiscid .*/libdiscid-(.*)\.tar\.gz
